Subject: Re: ppp and routing table rules.

From: Ben Greear <[email-masked]>
Date: Fri, 02 Mar 2007 23:22:20 -0800

Bill Fink wrote:
> On Thu, 01 Mar 2007, Ben Greear wrote:
>
>   
>> Ben Greear wrote:
>>
>> I am sending udp packets through ppp400, and I see them appear on ppp401 
>> as expected.
>>
>> The thing that is bothering me is that all I see on rddVR4 (172.1.2.1) 
>> is arps for 172.1.2.2, but the 'tell' IP is that of the
>> originating ppp400 link, not the IP of rddVR4, as I expected:
>>
>> 21:47:16.119640 arp who-has 172.1.2.2 tell 11.1.1.3
>> 21:47:17.119371 arp who-has 172.1.2.2 tell 11.1.1.3
>> 21:47:18.119254 arp who-has 172.1.2.2 tell 11.1.1.3
>> 21:47:19.273118 arp who-has 172.1.2.2 tell 11.1.1.3
>>
>> Unless I'm missing something dumb, a similar setup with all ethernet-ish 
>> network devices
>> works fine.
>>
>> I have also enabled arp filtering:
>> # Only answer ARPs if it is for the IP on our own interface.
>> echo 2 > /proc/sys/net/ipv4/conf/all/arp_ignore
>> and for every device used in these routing tables:
>> echo 1 > /proc/sys/net/ipv4/conf/[dev]/arp_filter
>>
>> Any idea what I need to do in order to make  the source IP for the ARP 
>> packet correct?
>>     
>
> Wouldn't that be controlled by arp_announce?
>   

Yes, after trawling through the code I found that one, and setting it to '2'
seems to have fixed everything.

Thanks,
Ben

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com